Subject: bug#26044: coreutils-8.27 fails to build

From: J Rogowsky <[email-masked]>
Date: Sat, 11 Mar 2017 10:12:09 -0700

On 2017.03.11, at 00:11:03, Pádraig Brady wrote:

> On 09/03/17 23:22, Pádraig Brady wrote:
>>> BTW, I had only one test FAIL in "make check":  tests/misc/sort- 
>>> debug-
>>> keys
>>> Is this related to the above?
>> I'm guessing that "failure" might be locale related.
>> Could you attach the tests/test-suite.log file generated with:
>>  make TESTS=tests/misc/sort-debug-keys.sh SUBDIRS=. VERBOSE=yes check
>
> Best keep all responses on the list.
Sorry. I am a newbie at this and not accustomed to doing this kind of  
thing.

> The log you sent privately, did indeed indicate a locale issue.
> In particular sort was operating in LC_ALL=C mode when
> it should have been in fr_FR.utf8.  This is the only test
> that sets LC_MESSAGES separately to LC_COLLATE etc.
> so perhaps if we use LC_ALL for each sort invocation in
> this test, it avoids this particular issue on your system?
>
> Can you try running the above make check command again,
> with the attached patch applied.
>
> thanks,
> Pádraig
> <sort-debug-osx.patch>

Yes, that solved the problem.
test results attached.

Thank you for your efforts.
If there is anything I can do for you in the future, just let me know.

Regards,
J Rogowsky